<template>
  <div class="lang-switcher" :class="{ open: open }" @blur="open = false">
    <div class="selected" @click="open = !open">
      <span>{{ $t('language') }}</span>
      <svg-icon name="arrow" />
    </div>
    <div class="items" :class="{ selectHide: !open }">
      <div
        v-for="(name, locale) in locales"
        :key="locale"
        v-show="$i18n.locale !== locale"
        @click="$i18n.setLocale(locale)"
      >
        <span>{{ name }}</span>
      </div>
      <!-- 
      <div
        v-if="$t('language') != 'Русский'"
        @click="
          selected = 'Русский'
          open = false
        "
      >
        <nuxt-link :to="$i18n.setLocale('ru')">Русский</nuxt-link>
      </div> -->
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@nuxtjs/composition-api'
export default defineComponent({
  name: 'LangSwitch',
  setup() {
    const open = ref(false)
    const locales = {
      en: 'English',
      ru: 'Русский'
    }
    return {
      open,
      locales
    }
  }
})
</script>

<style lang="scss">
.lang-switcher {
  //font-size: 0;
  position: relative;
  outline: none;
  display: inline-block;
  z-index: 2;

  .selected {
    display: inline-flex;
    align-items: center;

    cursor: pointer;
    user-select: none;

    font-size: 24px;
    line-height: 24px;
    color: #9badd6;

    svg {
      width: 14px;
      height: 14px;
      fill: #fff;
      flex: none;
      margin-left: 10px;
    }
  }

  .items {
    color: #fff;
    overflow: hidden;
    position: absolute;
    background: #252d45;
    box-shadow: 0px 3px 25px #19213b98;
    border-radius: 5px;
    top: -15px;
    left: -25px;
    right: -25px;
    padding: 50px 25px 15px 25px;
    z-index: -1;
    div {
      color: #9badd6;
      font-size: 24px;
      line-height: 30px;
      cursor: pointer;
      user-select: none;
    }
  }

  .selectHide {
    display: none;
  }
}
</style>
